## openni2 2.1.0.4

=== Makefile ===
#############################################################################
# OpenNI makefile.
# 
# default configuration is Release. for a debug version use:
# 	make CFG=Debug
#
# default compiler is g++. for another one use:
#   make CXX=<comp>
#
# By default, CLR projects will only be build if mono is installed.
# To force CLR projects use:
#   make FORCE_BUILD_CLR=1
#
#############################################################################

include ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

OPENNI = Source/Core
XNLIB  = ThirdParty/PSCommon/XnLib/Source

# list all drivers
ALL_DRIVERS = \
	Source/Drivers/DummyDevice   \
	Source/Drivers/PS1080 \
	Source/Drivers/OniFile

# list all tools
ALL_TOOLS = 

# list all core projects
ALL_CORE_PROJS = \
	$(XNLIB)  \
	$(OPENNI) \
	$(ALL_DRIVERS) \
	$(ALL_TOOLS)

# list all samples
CORE_SAMPLES = \
	Samples/SimpleRead \
	Samples/EventBasedRead \
	Samples/MultipleStreamRead \
	Samples/MWClosestPoint \
	Samples/MWClosestPointApp 
	
ifeq "$(GLUT_SUPPORTED)" "1"
	ALL_TOOLS += \
		Source/Tools/NiViewer

	CORE_SAMPLES += \
		Samples/SimpleViewer \
		Samples/MultiDepthViewer \
		Samples/ClosestPointViewer
else
	ifeq "$(GLES_SUPPORTED)" "1"
		CORE_SAMPLES += 
	endif
endif

ALL_SAMPLES = \
	$(CORE_SAMPLES)

# list all projects that are build
ALL_BUILD_PROJS = \
	$(ALL_CORE_PROJS) \
	$(ALL_SAMPLES)

ALL_PROJS = \
	$(ALL_BUILD_PROJS)

ALL_PROJS_CLEAN = $(foreach proj,$(ALL_PROJS),$(proj)-clean)

# define a function which creates a target for each proj
define CREATE_PROJ_TARGET
$1: 
	$$(MAKE) -C $1

$1-clean: 
	$$(MAKE) -C $1 clean
endef

################ TARGETS ##################

.PHONY: all $(ALL_PROJS) $(ALL_PROJS_CLEAN) install uninstall clean 

# make all makefiles
all: $(ALL_PROJS)

core: $(ALL_CORE_PROJS)

samples: $(ALL_SAMPLES)

# create projects targets
$(foreach proj,$(ALL_PROJS),$(eval $(call CREATE_PROJ_TARGET,$(proj))))

# additional dependencies
$(OPENNI):				  $(XNLIB)
Source/Drivers/DummyDevice:	$(OPENNI) $(XNLIB)
Source/Drivers/RawDevice:	$(OPENNI) $(XNLIB)
Source/Drivers/PS1080:		$(OPENNI) $(XNLIB)
Source/Drivers/OniFile:		$(OPENNI) $(XNLIB)

Source/Tools/NiViewer:		$(OPENNI) $(XNLIB)

Samples/SimpleRead:		$(OPENNI)
Samples/EventBasedRead:		$(OPENNI)
Samples/MultipleStreamRead:	$(OPENNI)
Samples/MWClosestPoint:		$(OPENNI)
Samples/MWClosestPointApp: 	$(OPENNI) Samples/MWClosestPoint

Samples/SimpleViewer:		$(OPENNI)
Samples/MultiDepthViewer:	$(OPENNI)
Samples/ClosestPointViewer:	$(OPENNI) Samples/MWClosestPoint

# clean is cleaning all projects
clean: $(ALL_PROJS_CLEAN)

=== Samples/ClosestPointViewer/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include \
	../ \
	../../ThirdParty/GL/

SRC_FILES = *.cpp

ifeq ("$(OSTYPE)","Darwin")
	CFLAGS += -DMACOS
	LDFLAGS += -framework OpenGL -framework GLUT
else
	CFLAGS += -DUNIX -DGLX_GLXEXT_LEGACY
	USED_LIBS += glut GL
endif

USED_LIBS += OpenNI2 MWClosestPoint

EXE_NAME = ClosestPointViewer

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Samples/EventBasedRead/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include

SRC_FILES = *.cpp

USED_LIBS += OpenNI2

EXE_NAME = EventBasedRead

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Samples/MWClosestPointApp/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include \
	../MWClosestPoint

SRC_FILES = *.cpp

USED_LIBS += OpenNI2 MWClosestPoint

EXE_NAME = MWClosestPointApp

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Samples/MultiDepthViewer/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include \
	../../ThirdParty/GL/

SRC_FILES = *.cpp

ifeq ("$(OSTYPE)","Darwin")
	CFLAGS += -DMACOS
	LDFLAGS += -framework OpenGL -framework GLUT
else
	CFLAGS += -DUNIX -DGLX_GLXEXT_LEGACY
	USED_LIBS += glut GL
endif

USED_LIBS += OpenNI2

EXE_NAME = MultiDepthViewer

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Samples/MultipleStreamRead/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include

SRC_FILES = *.cpp

USED_LIBS += OpenNI2

EXE_NAME = MultipleStreamRead

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Samples/SimpleRead/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include

SRC_FILES = *.cpp

USED_LIBS += OpenNI2

EXE_NAME = SimpleRead

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Samples/SimpleViewer/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include \
	../../ThirdParty/GL/

SRC_FILES = *.cpp

ifeq ("$(OSTYPE)","Darwin")
	CFLAGS += -DMACOS
	LDFLAGS += -framework OpenGL -framework GLUT
else
	CFLAGS += -DUNIX -DGLX_GLXEXT_LEGACY
	USED_LIBS += glut GL
endif

USED_LIBS += OpenNI2

EXE_NAME = SimpleViewer

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Source/Drivers/PS1080/Makefile ===
include ../../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = \
	. \
	Include \
	../../../Include \
	../../../ThirdParty/PSCommon/XnLib/Include

SRC_FILES = \
	Core/*.cpp	\
	DDK/*.cpp 	\
	DriverImpl/*.cpp\
	Formats/*.cpp	\
	Include/*.cpp	\
	Sensor/*.cpp	\
	../../../ThirdParty/LibJPEG/*.c


ifeq ("$(OSTYPE)","Darwin")
	INC_DIRS += /opt/local/include
	LIB_DIRS += /opt/local/lib
	LDFLAGS += -framework CoreFoundation -framework IOKit
endif

LIB_NAME = PS1080

LIB_DIRS += ../../../ThirdParty/PSCommon/XnLib/Bin/$(PLATFORM)-$(CFG)
USED_LIBS = XnLib dl pthread
ifneq ("$(OSTYPE)","Darwin")
        USED_LIBS += rt usb-1.0
else
	USED_LIBS += usb-1.0.0
endif

CFLAGS += -Wall

OUT_DIR := $(OUT_DIR)/OpenNI2/Drivers

include ../../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== ThirdParty/PSCommon/XnLib/Source/Makefile ===
include ../../BuildSystem/CommonDefs.mak

BIN_DIR = ../Bin

INC_DIRS = \
	../Include

SRC_FILES = \
	*.cpp \
	Linux/*.cpp

ifeq ("$(OSTYPE)","Darwin")
	INC_DIRS += /opt/local/include
	LIB_DIRS += /opt/local/lib
	LDFLAGS += -framework CoreFoundation -framework IOKit
endif

SLIB_NAME = XnLib
USED_LIBS = usb-1.0 dl pthread
ifneq ("$(OSTYPE)","Darwin")
	USED_LIBS += rt 
endif
CFLAGS += -Wall

include ../../BuildSystem/CommonCppMakefile

=== debian/changelog ===
openni2 (2.1.0.4-1~ppa2~quantal1) quantal; urgency=low

  * Add 0008-upstream-absolute-filename.patch.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Tue, 20 Aug 2013 23:56:09 +0200

openni2 (2.1.0.4-1~ppa1~raring4) raring; urgency=low

  * Fix 0007-Link-NiViewer-against-ptherad-DSO-on-Ubuntu-raring.patch.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Sun, 26 May 2013 11:24:19 +0200

openni2 (2.1.0.4-1~ppa1~raring3) raring; urgency=low

  * Add 0007-Link-NiViewer-against-ptherad-DSO-on-Ubuntu-raring.patch.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Sat, 25 May 2013 10:31:28 +0200

openni2 (2.1.0.4-1~ppa1~raring2) raring; urgency=low

  * Add dependency to libjpeg-dev

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Fri, 24 May 2013 16:17:13 +0200

openni2 (2.1.0.4-1~ppa1~raring1) raring; urgency=low

  [ Hauke Wintjen ]
  * Added raspberryPi fixes from branch raspberrypi-fixes and updated patches
  * Ignore quilt .pc dir

  [ Julius Kammerl ]
  * fixing pkg-config configuration

  [ Hauke Wintjen ]
  * Dont install SimpleViewer binary as a sample.
  * Install ini files into /etc/openni2/
  * Also load OpenNi.ini from /etc/openni2
  * Install and clean html doxygen docs as part of openni2 package.
  * Dont install SimpleViewer binary as a sample.
  * Install ini files into /etc/openni2/
  * Also load OpenNi.ini from /etc/openni2
  * Install and clean html doxygen docs as part of openni2 package.

  [ Jochen Sprickerhof ]
  * Initial release.
  * Include udev rules
  * Start SONAME with 0 and make OpenNI aware of it
  * Fix installation of shared objects
  * Remove unneeded dependencies
  * Rename libopenni2 to libopenni2-0 (according to SONAME)
  * Rename NiViewer to NiViewer2 to resolve conflict with OpenNI1
  * Disable SSE during build

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Fri, 24 May 2013 08:35:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	make
	-( cd Source/Documentation ; python ./Runme.py )
	 cd Bin/*-Release/ && mv NiViewer NiViewer2

override_dh_shlibdeps:
	dh_shlibdeps -- --ignore-missing-info

override_dh_auto_clean:
	dh_auto_clean
	rm -rf -- Source/Documentation/html/
	rm -rf -- Source/Documentation/Temp/
	rm -rf -- Bin/Intermediate
	rm -rf -- Bin/*-Release
	rm -rf -- ThirdParty/PSCommon/XnLib/Bin/*-Release
	rm -rf -- ThirdParty/PSCommon/XnLib/Bin/Intermediate

## openni2 2.2.0.33%2Bdfsg

=== Samples/MWClosestPoint/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include

SRC_FILES = *.cpp

USED_LIBS += OpenNI2

LIB_NAME = MWClosestPoint

CFLAGS += -Wall -D_CLOSEST_POINT

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Wrappers/java/OpenNI.java/Makefile ===
include ../../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../../Bin

SRC_FILES = \
	src/org/openni/*.java

JAR_NAME = org.openni

include ../../../ThirdParty/PSCommon/BuildSystem/CommonJavaMakefile

=== debian/changelog ===
openni2 (2.2.0.33+dfsg-18) unstable; urgency=medium

  * Remove old dh_installudev usrmerge workaround

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Jan 2024 12:01:43 +0100

openni2 (2.2.0.33+dfsg-17) unstable; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 30 Nov 2023 07:00:56 +0100

openni2 (2.2.0.33+dfsg-16) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop gitlab-ci
  * Switch watch to /tags
  * Bump policy version (no changes)
  * Switch to non transitional libglut-dev

  [ Helmut Grohne ]
  * Move files to /usr. (Closes: #1054411)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 26 Nov 2023 09:01:52 +0100

openni2 (2.2.0.33+dfsg-15) unstable; urgency=medium

  * Add patch for Java 17 (Closes: #982019)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Feb 2021 20:15:35 +0100

openni2 (2.2.0.33+dfsg-14) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 2.1.0.4-1.
  * Update standards version to 4.5.0, no changes needed.

  [ Ahzo ]
  * multi-archify the library (Closes: #975355)
  * use dh_auto_build to properly support parallel builds

  [ Jochen Sprickerhof ]
  * Drop hard coded drivers patch patch
  * Drop old lintian-overrides
  * [lintian] Remove tabs from d/copyright
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 03 Dec 2020 19:23:37 +0100

openni2 (2.2.0.33+dfsg-13) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1
  * d/changelog: Deduplicate entries

  [ Jochen Sprickerhof ]
  * Add patch to reduce TLS consumption (Closes: #945878)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Dec 2019 19:53:45 +0100

openni2 (2.2.0.33+dfsg-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Jochen Sprickerhof ]
  * Port to Python 3 (Closes: #937206)
  * Bump policy version (no changes)
  * Bump debhelper version
  * Drop unused build dependency
  * Add multiarch stuff
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Sep 2019 10:36:50 +0200

openni2 (2.2.0.33+dfsg-11) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Jochen Sprickerhof ]
  * Update Vcs URLs to salsa.d.o
  * Move cleanup to d/clean
  * Add R³
  * http -> https
  * Fix dh_clean
  * Fix missing-notice-file-for-apache-license
  * Bump policy and debhelper versions
  * Don't build with -Werror (Closes: #897827)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 05 May 2018 17:40:24 +0200

openni2 (2.2.0.33+dfsg-10) unstable; urgency=medium

  * Add patch for arm.
    Thanks to Adrian Bunk (Closes: #874220)
  * Remove flags, not needed anymore

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Sep 2017 16:17:46 +0200

openni2 (2.2.0.33+dfsg-9) unstable; urgency=medium

  * Add patch for GCC7 (Closes: #871157)
  * Delete removed paragraphs from copyright
  * Bump standards version (no changes needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 09 Aug 2017 08:40:32 +0200

openni2 (2.2.0.33+dfsg-8) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * remove myself from Uploaders

  [ Jochen Sprickerhof ]
  * Remove Temp documentation to make package build reproducible
  * Add patch for GCC7 (Closes: #853597)
  * Remove Cosimo Alfarano from Uploaders (Closes: #846822)
  * bump compat to 10 (no changes needed)
  * Remove versioned dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Feb 2017 18:40:17 +0100

openni2 (2.2.0.33+dfsg-7) unstable; urgency=medium

  * Don't link plugins in pkg-config file
  * Fix lintian warnings
  * Add watch file
  * Update my email address
  * Bumped Standards-Version to 3.9.8, no changes needed.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Sep 2016 11:32:44 +0200

openni2 (2.2.0.33+dfsg-6) unstable; urgency=medium

  * Add gcc6 patch (Closes: #812056)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 23 Jan 2016 16:56:31 +0100

openni2 (2.2.0.33+dfsg-5) unstable; urgency=medium

  * Add 0012-generic-linux.patch.
    Thanks to Riku Voipio (Closes: #801123)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 09 Oct 2015 22:34:31 +0200

openni2 (2.2.0.33+dfsg-4) unstable; urgency=medium

  * Add myself to Uploaders
  * Fix Vcs-Git URL
  * Fix Homepage (closes: #795276)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 17 Aug 2015 12:14:36 +0200

openni2 (2.2.0.33+dfsg-3) unstable; urgency=medium

  * Properly fix unused variables

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 16 Aug 2015 10:10:00 +0200

openni2 (2.2.0.33+dfsg-2) unstable; urgency=medium

  * Fix compilation with GCC5
  * Add ARMhf support.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 15 Aug 2015 14:17:54 +0200

openni2 (2.2.0.33+dfsg-1) unstable; urgency=low

  [ Hauke Wintjen ]
  * Merged upstream to 2.2.0.33
  * Refresh patches

  [ Jochen Sprickerhof ]
  * Bump standards version
  * Initial release. (Closes: #607160)
  * Add more licenses
  * Filter non dfsg free files in gbp.conf
  * Imported Upstream version 2.2.0.33+dfsg

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 25 Mar 2015 10:49:04 -0400

openni2 (2.1.0.4-1ubuntu1~1.gbp2a4158) UNRELEASED; urgency=low

  ** SNAPSHOT build @2a4158ba551d1f7de2549afc4400bd4110641cce **

  * Some ignores
  * Ignore eclipse projects
  * Some more ignores
  * Some ignores
  * Refresh patches
  * more refresh

 -- Hauke Wintjen <hwintjen@rimpl-consulting.de>  Fri, 29 Mar 2013 23:14:11 +0100

openni2 (2.1.0.4-1) unstable; urgency=low

  * Initial creation of debian package



## openni2 2.2.0.33+dfsg

=== Makefile ===
--- 
+++ 
@@ -15,23 +15,46 @@
 
 include ThirdParty/PSCommon/BuildSystem/CommonDefs.mak
 
+MAJOR_VERSION = $(shell grep "define ONI_VERSION_MAJOR" Include/OniVersion.h | cut -f 2)
+MINOR_VERSION = $(shell grep "define ONI_VERSION_MINOR" Include/OniVersion.h | cut -f 2)
+MAINT_VERSION = $(shell grep "define ONI_VERSION_MAINT" Include/OniVersion.h | cut -f 2)
+
+ifeq ("$(OSTYPE)","Darwin")
+	OS_NAME = MacOSX
+else
+	OS_NAME = Linux
+endif
+PRODUCT_STRING = OpenNI-$(OS_NAME)-$(PLATFORM)-$(shell cd Packaging && python -c "import UpdateVersion; print UpdateVersion.getVersionName()" && cd ..)
+FINAL_DIR = Packaging/Final
+
 OPENNI = Source/Core
 XNLIB  = ThirdParty/PSCommon/XnLib/Source
+DEPTH_UTILS = Source/DepthUtils
 
 # list all drivers
 ALL_DRIVERS = \
 	Source/Drivers/DummyDevice   \
 	Source/Drivers/PS1080 \
+	Source/Drivers/PSLink \
 	Source/Drivers/OniFile
 
+# list all wrappers
+ALL_WRAPPERS = \
+	Wrappers/java/OpenNI.jni \
+	Wrappers/java/OpenNI.java 
+
 # list all tools
-ALL_TOOLS = 
-
+ALL_TOOLS = \
+	Source/Drivers/PS1080/PS1080Console \
+	Source/Drivers/PSLink/PSLinkConsole
+	
 # list all core projects
 ALL_CORE_PROJS = \
 	$(XNLIB)  \
 	$(OPENNI) \
+	$(DEPTH_UTILS) \
 	$(ALL_DRIVERS) \
+	$(ALL_WRAPPERS) \
 	$(ALL_TOOLS)
 
 # list all samples
@@ -41,7 +64,11 @@
 	Samples/MultipleStreamRead \
 	Samples/MWClosestPoint \
 	Samples/MWClosestPointApp 
-	
+
+# list all java samples
+JAVA_SAMPLES = \
+	Samples/SimpleViewer.java	
+
 ifeq "$(GLUT_SUPPORTED)" "1"
 	ALL_TOOLS += \
 		Source/Tools/NiViewer
@@ -57,7 +84,8 @@
 endif
 
 ALL_SAMPLES = \
-	$(CORE_SAMPLES)
+	$(CORE_SAMPLES) \
+	$(JAVA_SAMPLES)
 
 # list all projects that are build
 ALL_BUILD_PROJS = \
@@ -80,7 +108,7 @@
 
 ################ TARGETS ##################
 
-.PHONY: all $(ALL_PROJS) $(ALL_PROJS_CLEAN) install uninstall clean 
+.PHONY: all $(ALL_PROJS) $(ALL_PROJS_CLEAN) install uninstall clean release
 
 # make all makefiles
 all: $(ALL_PROJS)
@@ -93,23 +121,40 @@
 $(foreach proj,$(ALL_PROJS),$(eval $(call CREATE_PROJ_TARGET,$(proj))))
 
 # additional dependencies
-$(OPENNI):				  $(XNLIB)
-Source/Drivers/DummyDevice:	$(OPENNI) $(XNLIB)
-Source/Drivers/RawDevice:	$(OPENNI) $(XNLIB)
-Source/Drivers/PS1080:		$(OPENNI) $(XNLIB)
-Source/Drivers/OniFile:		$(OPENNI) $(XNLIB)
+$(OPENNI):                            $(XNLIB)
+Wrappers/java/OpenNI.jni:   $(OPENNI) $(XNLIB)
 
-Source/Tools/NiViewer:		$(OPENNI) $(XNLIB)
+Source/Drivers/DummyDevice: $(OPENNI) $(XNLIB)
+Source/Drivers/RawDevice:   $(OPENNI) $(XNLIB)
+Source/Drivers/PS1080:      $(OPENNI) $(XNLIB) $(DEPTH_UTILS)
+Source/Drivers/PS1080/PS1080Console: $(OPENNI) $(XNLIB)
+Source/Drivers/PSLink:      $(OPENNI) $(XNLIB)
+Source/Drivers/PSLink/PSLinkConsole: $(OPENNI) $(XNLIB)
+Source/Drivers/OniFile:     $(OPENNI) $(XNLIB)
 
-Samples/SimpleRead:		$(OPENNI)
-Samples/EventBasedRead:		$(OPENNI)
-Samples/MultipleStreamRead:	$(OPENNI)
-Samples/MWClosestPoint:		$(OPENNI)
-Samples/MWClosestPointApp: 	$(OPENNI) Samples/MWClosestPoint
+Source/Tools/NiViewer:      $(OPENNI) $(XNLIB)
 
-Samples/SimpleViewer:		$(OPENNI)
-Samples/MultiDepthViewer:	$(OPENNI)
-Samples/ClosestPointViewer:	$(OPENNI) Samples/MWClosestPoint
+Samples/SimpleRead:         $(OPENNI)
+Samples/EventBasedRead:     $(OPENNI)
+Samples/MultipleStreamRead: $(OPENNI)
+Samples/MWClosestPoint:     $(OPENNI)
+Samples/MWClosestPointApp:  $(OPENNI) Samples/MWClosestPoint
+
+Samples/SimpleViewer:       $(OPENNI)
+Samples/MultiDepthViewer:   $(OPENNI)
+Samples/ClosestPointViewer: $(OPENNI) Samples/MWClosestPoint
+Samples/SimpleViewer.java:            Wrappers/java/OpenNI.java
+
+$(FINAL_DIR):
+	mkdir -p $(FINAL_DIR)
+
+doc:
+	Source/Documentation/Runme.py
+	rm -f Source/Documentation/html/*.md5
+	
+release: | all doc $(FINAL_DIR)
+	Packaging/Harvest.py Packaging/$(PRODUCT_STRING) $(PLATFORM)
+	cd Packaging; tar -cjf Final/$(PRODUCT_STRING).tar.bz2 $(PRODUCT_STRING)
 
 # clean is cleaning all projects
 clean: $(ALL_PROJS_CLEAN)

=== Samples/ClosestPointViewer/Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 INC_DIRS = \
 	../../Include \
 	../ \
-	../../ThirdParty/GL/
+	../../ThirdParty/GL/ \
+	../Common
 
 SRC_FILES = *.cpp

=== Samples/EventBasedRead/Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 BIN_DIR = ../../Bin
 
 INC_DIRS = \
-	../../Include
+	../../Include \
+	../Common
 
 SRC_FILES = *.cpp

=== Samples/MWClosestPointApp/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 INC_DIRS = \
 	../../Include \
-	../MWClosestPoint
+	../MWClosestPoint \
+	../Common
 
 SRC_FILES = *.cpp

=== Samples/MultiDepthViewer/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 INC_DIRS = \
 	../../Include \
-	../../ThirdParty/GL/
+	../../ThirdParty/GL/ \
+	../Common
 
 SRC_FILES = *.cpp

=== Samples/MultipleStreamRead/Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 BIN_DIR = ../../Bin
 
 INC_DIRS = \
-	../../Include
+	../../Include \
+	../Common
 
 SRC_FILES = *.cpp

=== Samples/SimpleRead/Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 BIN_DIR = ../../Bin
 
 INC_DIRS = \
-	../../Include
+	../../Include \
+	../Common
 
 SRC_FILES = *.cpp

=== Samples/SimpleViewer.java/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

SRC_FILES = \
	src/org/openni/Samples/SimpleViewer/*.java

JAR_NAME = org.openni.Samples.SimpleViewer
USED_JARS = org.openni
MAIN_CLASS = org.openni.Samples.SimpleViewer.SimpleViewerApplication

include ../../ThirdParty/PSCommon/BuildSystem/CommonJavaMakefile

=== Samples/SimpleViewer/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 INC_DIRS = \
 	../../Include \
-	../../ThirdParty/GL/
+	../../ThirdParty/GL/ \
+	../Common
 
 SRC_FILES = *.cpp

=== Source/Core/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include \
	../../ThirdParty/PSCommon/XnLib/Include \
	../Drivers/OniFile/Formats \
	../../ThirdParty/LibJPEG

SRC_FILES = \
	*.cpp \
	../Drivers/OniFile/Formats/XnCodec.cpp \
	../Drivers/OniFile/Formats/XnStreamCompression.cpp \
	../../ThirdParty/LibJPEG/*.c \

ifeq ("$(OSTYPE)","Darwin")
	INC_DIRS += /opt/local/include
	LIB_DIRS += /opt/local/lib
	LDFLAGS += -framework CoreFoundation -framework IOKit
endif

LIB_NAME = OpenNI2

LIB_DIRS = ../../ThirdParty/PSCommon/XnLib/Bin/$(PLATFORM)-$(CFG)
USED_LIBS = XnLib dl pthread
ifneq ("$(OSTYPE)","Darwin")
        USED_LIBS += rt  
endif

DEFINES += OPENNI2_EXPORT

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Source/DepthUtils/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	. \
	../../Include \
	../../ThirdParty/PSCommon/XnLib/Include
	

SRC_FILES = \
	*.cpp \

ifeq ("$(OSTYPE)","Darwin")
	INC_DIRS += /opt/local/include
	LIB_DIRS += /opt/local/lib
	LDFLAGS += -framework CoreFoundation -framework IOKit
endif

SLIB_NAME = DepthUtils
ifneq ("$(OSTYPE)","Darwin")
	USED_LIBS += rt 
endif
CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== Source/Drivers/DummyDevice/Makefile ===
include ../../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../Include \
	../../../ThirdParty/PSCommon/XnLib/Include

SRC_FILES = \
	*.cpp

ifeq ("$(OSTYPE)","Darwin")
	INC_DIRS += /opt/local/include
	LIB_DIRS += /opt/local/lib
	LDFLAGS += -framework CoreFoundation -framework IOKit
endif

LIB_NAME = DummyDevice

LIB_DIRS = ../../../ThirdParty/PSCommon/XnLib/Bin/$(PLATFORM)-$(CFG)
USED_LIBS = XnLib dl pthread
ifneq ("$(OSTYPE)","Darwin")
        USED_LIBS += rt  
endif

CFLAGS += -Wall

OUT_DIR := $(OUT_DIR)/OpenNI2/Drivers

include ../../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile

=== debian/control ===
Source: openni2
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Cosimo Alfarano <kalfa@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>
Build-Depends: debhelper (>= 7.0.50~),
               debsums (>= 2.0.0),
               freeglut3-dev,
               libusb-1.0-0-dev (>= 1.0.8),
               python (>= 2.6),
               doxygen,
               graphviz,
               libjpeg-dev,
               libudev-dev,
               default-jdk
Standards-Version: 3.9.6
Homepage: http://structure.io/openni
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/openni2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/openni2.git

Package: libopenni2-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: framework for sensor-based 'Natural Interaction'
 OpenNI2 is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI2 provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI2
 framework, which then produce sensory data. OpenNI2 also allows selection of
 different hardware and middleware modules.

Package: openni2-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: debug and test utilities OpenNI2 framework
 OpenNI2 is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI2 provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI2
 framework, which then produce sensory data. OpenNI2 also allows selection of
 different hardware and middleware modules.
 .
 This package provides a number of related utilities for debugging, testing,
 and view the results of the sensor modules.

Package: libopenni2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libopenni2-0 (= ${binary:Version})
Suggests: openni2-doc
Description: headers for OpenNI 'Natural Interaction' frameworks
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework, which then produce sensory data. OpenNI also allows selection of
 different hardware and middleware modules.

Package: openni2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: developer documentation for OpenNI frameworks
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework, which then produce sensory data. OpenNI also allows selection of
 different hardware and middleware modules.
 .
 This package provides developer documentation for developing using the OpenNI2
 frameworks.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+CFLAGS = -fno-stack-protector
+CXXFLAGS = -fno-stack-protector
 
 %:
 	dh $@ --buildsystem=makefile
@@ -15,8 +18,10 @@
 	dh_auto_clean
 	rm -rf -- Source/Documentation/html/
 	rm -rf -- Source/Documentation/Temp/
+	rm -rf -- Source/Documentation/java/
 	rm -rf -- Bin/Intermediate
 	rm -rf -- Bin/*-Release
 	rm -rf -- ThirdParty/PSCommon/XnLib/Bin/*-Release
 	rm -rf -- ThirdParty/PSCommon/XnLib/Bin/Intermediate
+	rm -rf -- Source/Documentation/doxygen_sqlite3.db
